# Note: thit makefile is for project with one file, but you
# can define 'other_objects' as '<objfile> ... <objfile>' and
# 'other_ld_objects' as 'file <objfile> ... file <objfile>'.
all:$(target).exe
.$(lang).obj:
	$(cc) $(ccflags) $*.$(lang) /Fo$@
$(target).exe:$(target).obj $(other_objects) $(libvroot)\lib\win32\watcom\libV.lib
	$(ld) $(lddebug) file $(target).obj $(other_ld_objects) $(ldflags) $(rtl_libs) $(libv) $(other_libs)
clean:
	if exist $(target).err del $(target).err
	if exist $(target).obj del $(target).obj
	if exist $(target).exe del $(target).exe
	if exist $(target).exp del $(target).exp
	if exist $(target).lib del $(target).lib
	if exist *.obj del *.obj
	if exist *.pdb del *.pdb
	if exist *.pch del *.pch
	if exist *.bak del *.bak
